*{ 
    margin:0;
    padding:0;
    box-sizing: border-box;
}

.topbar{
    position: fixed;
    z-index: 2;
    display:flex;
    top:0;
    left:0;
    width:100vw;
    height: 80px;
    padding:4px 16px;
    /*border-bottom: 5px solid black;*/
    align-items: center;
    background-color: white;
     
}
.topbar-content{
    display:flex;
    align-items: center;
    height: 56px;
    width: 100%;
}
.iconP img{
    width:24px;
    height: 24px;
    
}
.iconP{
    display:flex;
    align-items: center;
    justify-content: center;
    padding:4px;
    width:48px;
    height: 48px;
    
}
.topbar .btn1{
    width: auto;
    height: 48px;
    display: flex;
    align-items: center;
    padding: 0px 16px;
    background-color: white;
    color:black;
    font-family:Helvetica, sans-serif;
    font-weight: bolder;
    font-size: 16px;
    border-radius: 25px;
    cursor:pointer;
}
.btn1:hover{
    background-color: rgb(225, 225, 225);

}
.btn1:active{
    background-color: black;
    color:white;
}
.topbar .buscador{
    display:flex;
    align-items: center;
    padding: 0 0 0 16px;
    border-radius: 25px;
    background-color: rgb(225, 225, 225);
    width: 100%;
    height: 48px;
}
.buscador img{
    position: relative;
    width: 16px;
    height: 16px;

}
.buscador input{
    width: 100%;
    height: 100%;
    border:none;
    background-color: rgba(0, 0, 0, 0);

}

.topbar .iconos{
    width: 48px;
    height: 48px;
    padding: 4px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 24px;
    cursor: pointer;
}
.iconos>svg{
    width: 24px;
    height: 24px;
    fill: #767676;
}
.iconos:hover{
    background-color: rgb(225, 225, 225);

}
.iconos>svg:active{
    fill: #000000;

}
.iconos .perfil{
    width: 24px;
    height: 24px;
    border-radius: 24px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}
.iconos .perfil img{
    height: 100%;
    width: auto;
}
.flecha>svg{
    fill:#767676;

}
.flecha:hover{
    background-color: rgb(225, 225, 225);
}
.flecha>svg:active{
    fill: #000000;

}
.topbar2{
    display:none;
}
.grid{
    margin-top: 80px;
    width: 100vw;
    display: flex;
    height: auto;
    justify-content: center;
}
.grid-content{
    width: 90%;
    /*display:grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: repeat(5,auto);
    grid-gap:20px;*/
    columns: 5;
}
.grid-content .imagen{
    position: relative;
    height: auto;
    width: 100%;
    /*border: 2px solid black;*/
    overflow: hidden;
    padding: 0 8px 16px 8px;

}
.imagen img{
    width: 100%;
    height: auto;
    border-radius: 15px;
}
.container{
    position: relative;
    width: 100%;
    height: 100%;
}

.detalles{
    position: absolute;
    display:flex;
    top:0px;
    left: 0px;
    width: 100%;
    height: 100%;
    overflow: hidden;
    border-radius: 25px;
    opacity:0;
    padding: 5px;
    cursor: pointer;
    transition: all 0.4s ease;
  }
  .detalles:hover{
    opacity: 1; 
  
  }
  .detalles .Cguardar{
    width: 100%;
    height: 32px;
  
  }
  .detalles .abajo{
    position: absolute;
    justify-content: space-between;
    bottom: 10px;
    width: 100%;
    height: 32px;
    display: flex;
  
  }
  .Btndetalles-1{
    position: absolute;
    height: 32px;
    width: 60px;
    right: 15px;
    top: 10px;
    padding:10px 14px;
    border-radius:25px;
    background-color: rgba(255, 0, 0, 0.6);
    font-size: 14px;
    color:white;
    overflow:hidden;
    display:flex;
    align-items:center;
    justify-content: center;
  }
  .abajo .Btndetalles-2{
    width: auto;
    display: flex;
    align-items: center;
    left:5px;
    padding: 0 16px;
    background-color: white;
    color: black;
    height: 28px;
    font-weight: bolder;
    font-size: 16px;
    font-family: Helvetica, sans-serif;
    border-radius: 25px;
    cursor: pointer;
  }
  .Btndetalles-2>svg{
    height: 12px;
    width: 12px;
    left: 4px;
  }
  .Btndetalles-3{
    width: 28px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: white;
    color: black;
    height: 28px;
    font-weight: bolder;
    font-size: 16px;
    font-family: Helvetica, sans-serif;
    border-radius: 50%;
    cursor: pointer;
    margin-left: 5px;
  }
  .abajo-derecha{
    display:flex;
    align-items: center;
    justify-content: center;
    width: 50%;
    right: 1px;
  }
  .grid-content2{
      display: none;
  }
  @media(max-width:600px){
    .grid-content{
          columns: 2 !important;
    }
    .imagen img{
          border-radius: 10px;
    }
    .topbar{
        display:none;
    }
    .topbar2{
        position: fixed;
        z-index: 2;
        display:flex;
        top:0px;
        left:0px;
        width:100vw;
        height: 150px;
        padding:0px 16px;
        /*border-bottom: 5px solid black;*/
        align-items: center;
        background-color: white;
        
         
    }
    .topbar-content2{
        display:flex;
        align-items: left;
        height: 130px;
        width: 100%;
        flex-direction: column;
        justify-content: center;
    }
    .topbar2 .topbar-content2 .arriba{
        display:flex;
        width:90vw;
        padding: 0px 0px 10px 0px;
        
    
    }
    .topbar2 .buscador{
        display:flex;
        align-items: center;
        padding: 0 0 0 16px;
        border-radius: 10px;
        background-color: rgb(225, 225, 225);
        width: 100%;
        height: 38px;
    }
    .buscador img{
        position: relative;
        width: 16px;
        height: 16px;
    
    }
    .buscador input{
        width: 100%;
        height: 100%;
        border:none;
        background-color: rgba(0, 0, 0, 0);
    
    }
     
    .mas{
        width: 48px;
        height: 38px;
        padding: 4px;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 24px;
        cursor: pointer;
    }
    .mas>svg{
        width: 24px;
        height: 24px;
        fill: #767676;
    }
    .mas:hover{
        background-color: rgb(225, 225, 225);
    
    }
    .mas>svg:active{
        fill: #000000;
    
    }
    .topbar2 .topbar-content2 .abajo{
        display: flex;
        
    }
    .topbar2 .btn2{
        width: auto;
        height: 48px;
        display: flex;
        align-items: center;
        padding: 0px 16px;
        background-color: white;
        color:black;
        font-family:Helvetica, sans-serif;
        font-weight: bolder;
        font-size: 16px;
        border-radius: 25px;
        cursor:pointer;
    }
    .btn2:hover{
        background-color: rgb(225, 225, 225);
    
    }
    .btn2:active{
        background-color: black;
        color:white;
    }
 
   
    .grid{
        margin-top: 150px;
    }
    .grid-content2{
        position: fixed;
        z-index: 2;
        display:flex;
        bottom:0;
        left:0;
        width:100vw;
        height: 50px;
        padding:0px 16px;
        /*border-bottom: 5px solid black;*/
        align-items: center;
        background-color: white;
        justify-content: space-between;
    }  
    .downbar{
        width: 48px;
        height: 48px;
        padding: 4px;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 24px;
        cursor: pointer;
    }
    .downbar>svg{
        width: 24px;
        height: 24px;
        fill: #767676;
    }
    .downbar:hover{
        background-color: rgb(225, 225, 225);
    
    }
    .downbar>svg:active{
        fill: #000000;
    
    }
    .downbar .perfil{
        width: 24px;
        height: 24px;
        border-radius: 24px;
        overflow: hidden;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .downbar .perfil img{
        height: 100%;
        width: auto;
    }
    .detalles{
        display:none;
    }

  }
